Bug 522864 - X crashes after starting on TNT2 M64: Driver failed PrepareAccess on a pinned pixmap
Summary: X crashes after starting on TNT2 M64: Driver failed PrepareAccess on a pinned...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 21:01 UTC by Ondrej Zary
Modified: 2018-04-11 10:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 21:38:19 UTC


Attachments (Terms of Use)
X log (45.97 KB, text/plain)
2009-09-11 21:01 UTC, Ondrej Zary
no flags Details
X log after crash (25.82 KB, text/plain)
2009-09-19 11:37 UTC, Ondrej Zary
no flags Details
dmesg after X crash (80.43 KB, text/plain)
2009-09-19 11:38 UTC, Ondrej Zary
no flags Details
dmesg after X crash (67.45 KB, text/plain)
2009-10-03 19:35 UTC, Ondrej Zary
no flags Details

Description Ondrej Zary 2009-09-11 21:01:49 UTC
Created attachment 360726 [details]
X log

Description of problem:
When X server is started on Riva TNT2 M64 (IBM NetVista machine), it goes all the way to the desktop. Then the monitor loses signal and machine hangs.

Version-Release number of selected component (if applicable):
from Fedora Test Day 20090908 Live CD

How reproducible:
Always

Steps to Reproduce:
1. Boot the Live CD into runlevel 3
2. Log in as liveuser
3. Run startx
  
Actual results:
X starts, desktop appears, then monitor turns off and system hangs completely.

Expected results:
Working X.

Additional info:
http://www.smolts.org/client/show/pub_3370f141-f455-4df0-9a71-025225253566

Comment 1 Adam Williamson 2009-09-17 20:40:25 UTC
can we get dmesg too, in case there's anything useful there?

btw, congratulations, you win the 'hardware archivist' title =)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Ondrej Zary 2009-09-19 11:37:46 UTC
Created attachment 361750 [details]
X log after crash

It's better with desktop-i386-20090917.16.iso - X does not hang anymore, it just crashes now:

Fatal server error:
Driver failed PrepareAccess on a pinned pixmap.

Comment 3 Ondrej Zary 2009-09-19 11:38:31 UTC
Created attachment 361752 [details]
dmesg after X crash

Comment 4 Ben Skeggs 2009-09-21 05:48:13 UTC
When it's finished building, can you please give kernel-2.6.31-36.fc12 (http://koji.fedoraproject.org/koji/taskinfo?taskID=1693910) a shot and report back?

Comment 5 Ondrej Zary 2009-09-21 13:55:53 UTC
That page shows that the build failed.

Comment 6 Ondrej Zary 2009-10-03 19:35:54 UTC
Created attachment 363569 [details]
dmesg after X crash

Still does not work with desktop-i386-20091001.15.iso.

Comment 7 Ondrej Zary 2009-11-03 22:36:37 UTC
xorg-x11-drv-nouveau-0.0.15-16.20091030git5587f40.fc12.i686 fixes this problem (with desktop-i386-20091102.16.iso).

Comment 8 Adam Williamson 2009-11-03 22:51:58 UTC
excellent, thanks. we are planning to tag a build including that fix for final later today. will close off then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Matěj Cepl 2009-11-05 17:16:11 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 10 Adam Williamson 2009-11-05 21:38:19 UTC
the fix for this one got tagged, closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.